Create a text review for a woku (v1 alias of POST /wokus/create-textnote)
curl --request POST \
--url https://clientapi.woku.app/v1/wokus/{wokuId}/textnotes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"qualification": 5,
"description": "<string>",
"dispatchToken": "<string>",
"clientEmail": "<string>",
"clientPhone": "<string>",
"anonymous": true,
"responseChannel": "my-crm"
}
'import requests
url = "https://clientapi.woku.app/v1/wokus/{wokuId}/textnotes"
payload = {
"qualification": 5,
"description": "<string>",
"dispatchToken": "<string>",
"clientEmail": "<string>",
"clientPhone": "<string>",
"anonymous": True,
"responseChannel": "my-crm"
}
headers = {
"authorization": "<authorization>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
authorization: '<authorization>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
qualification: 5,
description: '<string>',
dispatchToken: '<string>',
clientEmail: '<string>',
clientPhone: '<string>',
anonymous: true,
responseChannel: 'my-crm'
})
};
fetch('https://clientapi.woku.app/v1/wokus/{wokuId}/textnotes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
v1 - wokus
Create a text review for a woku (v1 alias of POST /wokus/create-textnote)
POST
/
v1
/
wokus
/
{wokuId}
/
textnotes
Create a text review for a woku (v1 alias of POST /wokus/create-textnote)
Authorizations
Company secret API key.
Headers
Path Parameters
Body
application/json
Star rating (1-5)
Example:
5
Text content of the review (max 3000 chars)
Opaque invitation or prepared journey-entry response token. Consumed after saving feedback; never stored on the review.
Maximum string length:
64Reviewer email
Reviewer phone
Whether the review is anonymous
Inbound response channel. Defaults to 'api'; a value provided here REPLACES 'api' (user-defined channel).
Maximum string length:
48Example:
"my-crm"
Response
201 - undefined